<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- FileDetails/Synopsis/SymbolLookup/Symbol.hh.html -->
<!-- this view was generated by FileDetails -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/SymbolLookup/Symbol.hh Details</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileDetails">
<div class="navigation">
<span class="normal"><a href="../../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Synopsis/SymbolLookup/Symbol.hh</h1><div><a href="../../../Source/Synopsis/SymbolLookup/Symbol.hh.html" target="content">source code</a></div>
<h2 class="heading">Includes from this file:</h2><ul>
<li>include <a href="../PTree/Encoding.hh.html" >Synopsis/PTree/Encoding.hh</a></li>
<li>include <a href="../PTree/Lists.hh.html" >Synopsis/PTree/Lists.hh</a></li>
</ul>
<h2 class="heading">Declarations in this file:</h2>
<div><h3>Classes in Synopsis::SymbolLookup</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Class.html" >Class</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/ClassName.html" >ClassName</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/ClassTemplateName.html" >ClassTemplateName</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/ConstName.html" >ConstName</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/EnumName.html" >EnumName</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/FunctionName.html" >FunctionName</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >FunctionScope</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/FunctionTemplateName.html" >FunctionTemplateName</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Namespace.html" >Namespace</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/NamespaceName.html" >NamespaceName</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html" >Scope</a>
<div class="doc"><p>A Scope contains symbol definitions.</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html" >Symbol</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" >SymbolVisitor</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/TypeName.html" >TypeName</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/TypedefName.html" >TypedefName</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/VariableName.html" >VariableName</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::SymbolLookup::ConstName</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/ConstName.html#my_defined" >my_defined</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/ConstName.html#my_value" >my_value</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::SymbolLookup::Symbol</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html#my_definition" >my_definition</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html#my_ptree" >my_ptree</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html#my_scope" >my_scope</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html#my_type" >my_type</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::SymbolLookup::ConstName</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/ConstName.html#ConstName_lconst.PTree_mEncoding_A_clong_cconst.PTree_mNode_S_cbool_cScope_S_r" >ConstName&#40;const&#160;PTree::Encoding&amp;&#44;long&#44;const&#160;PTree::Node*&#44;bool&#44;Scope*&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::SymbolLookup::Symbol</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html#Symbol_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cbool_cScope_S_r" >Symbol&#40;const&#160;PTree::Encoding&amp;&#44;const&#160;PTree::Node*&#44;bool&#44;Scope*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html#accept_lSymbolVisitor_S_rconst" >accept&#40;SymbolVisitor*&#41;const</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::SymbolLookup::SymbolVisitor</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.ClassName_S_r" >visit&#40;const&#160;ClassName*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.ClassTemplateName_S_r" >visit&#40;const&#160;ClassTemplateName*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.ConstName_S_r" >visit&#40;const&#160;ConstName*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.EnumName_S_r" >visit&#40;const&#160;EnumName*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.FunctionName_S_r" >visit&#40;const&#160;FunctionName*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.FunctionTemplateName_S_r" >visit&#40;const&#160;FunctionTemplateName*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.NamespaceName_S_r" >visit&#40;const&#160;NamespaceName*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.Symbol_S_r" >visit&#40;const&#160;Symbol*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.TypeName_S_r" >visit&#40;const&#160;TypeName*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.TypedefName_S_r" >visit&#40;const&#160;TypedefName*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.VariableName_S_r" >visit&#40;const&#160;VariableName*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#_tSymbolVisitor_l_r" >~SymbolVisitor&#40;&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::SymbolLookup::TypedefName</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup/TypedefName.html#TypedefName_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cScope_S_r" >TypedefName&#40;const&#160;PTree::Encoding&amp;&#44;const&#160;PTree::Node*&#44;Scope*&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Namespaces in Synopsis</h3>
<div class="item"><a href="../../../Scopes/Synopsis/SymbolLookup.html" >SymbolLookup</a>
<div class="doc"></div></div>
</div>

</body>
</html>
